Bug 12340 - Checkboxes are shown for nonexistent SMS transports
Summary: Checkboxes are shown for nonexistent SMS transports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-02 09:38 UTC by paxed
Modified: 2019-10-14 19:58 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-06-02 09:38:53 UTC
Delete some SMS transports from the database:
delete from message_transports where message_transport_type='sms' and letter_code != 'HOLD';

Check patron messaging prefs in OPAC: Only the hold notice SMS has a checkbox.
Check patron messaging prefs in the staff client: Every SMS transport has a checkbox.

Should only show the checkboxes for existing transports.

I haven't tested, but the same may happen for the other transports too.
Comment 1 paxed 2018-08-27 11:09:04 UTC
Already fixed in master.